 <!doctype html public "-/w3c/dtd html 4.0 transitional/en">
 <html>
 <head>
 <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
 <meta name="GENERATOR" content="Mozilla/4.5 [en] (X11; I; SunOS 5.6 sun4u) [Netscape]">
 <title>LDAS CIT database Insertion Rates</title>
 </head>
 <body>
 
 <pre><b><font size=-1>LDAS Data Socket Transmission Roundtrip Rates</font></b></pre>
 <font size=-2>
 <table cellpadding=1>
 <tr>
 <th align=left width=200>Test Period:</th>
 <td width=300>March 29th, 2000</td>
 </tr>
 <tr>
 <th align=left width=200>Input data:</th>
 <td width=300>Ilwd with dimensions 1,10,100,1000,10000,100000<br>without container</td>
 <td>
 </tr>
 <tr>
 <th align=left width=200>Platforms:</th>
 <td width=300>Sun 450 <-> Sun 450 Loopback</td>
 <td>
 </tr>
 <tr>
 <th align=left width=200>LDAS software:</th>
 <td width=300>ldas-0.0.10, Sun Solaris 2.7 for Sun or Linux 6.1 for Intel Pentium</td>
 <td>
 </tr>
 </table></font>
<p>
<table border type=1>
<caption align=center><b>Mean Wall Time in seconds (sample size=100)</b></caption>
<font size=-1>
<tr>
 <th align=left width=100>Type\dims</th>
 <th width=100 align=right>1</th>
 <th width=100 align=right>10</th>
 <th width=100 align=right>100</th>
 <th width=100 align=right>1000</th>
 <th width=100 align=right>10000</th>
 <th width=100 align=right>100000</th>
 <th width=100 align=right>1000000</th>
 </tr>
<th align=left width=100>char_s</th>
<td align=right bgcolor="#ffe6ef">0.001078</td>
<td align=right bgcolor="#ffe6ab">0.001065</td>
<td align=right bgcolor="#ffe6cd">0.001053</td>
<td align=right bgcolor="#ffe669">0.001052</td>
<td align=right bgcolor="#ffe6ef">0.001267</td>
<td align=right bgcolor="#ffe6ab">0.007902</td>
<td align=right bgcolor="#ffe6cd">0.012659</td>
</tr>


<th align=left width=100>char_u</th>
<td align=right bgcolor="#ffe6ef">0.001075</td>
<td align=right bgcolor="#ffe6ab">0.001068</td>
<td align=right bgcolor="#ffe6cd">0.001053</td>
<td align=right bgcolor="#ffe669">0.001057</td>
<td align=right bgcolor="#ffe6ef">0.001254</td>
<td align=right bgcolor="#ffe6ab">0.015160</td>
<td align=right bgcolor="#ffe6cd">0.013921</td>
</tr>


<th align=left width=100>int_2s</th>
<td align=right bgcolor="#ffe6ef">0.001073</td>
<td align=right bgcolor="#ffe6ab">0.001052</td>
<td align=right bgcolor="#ffe6cd">0.001050</td>
<td align=right bgcolor="#ffe669">0.001043</td>
<td align=right bgcolor="#ffe6ef">0.001220</td>
<td align=right bgcolor="#ffe6ab">0.004223</td>
<td align=right bgcolor="#ffe6cd">0.023034</td>
</tr>


<th align=left width=100>int_2u</th>
<td align=right bgcolor="#ffe6ef">0.001079</td>
<td align=right bgcolor="#ffe6ab">0.001056</td>
<td align=right bgcolor="#ffe6cd">0.001041</td>
<td align=right bgcolor="#ffe669">0.001036</td>
<td align=right bgcolor="#ffe6ef">0.001251</td>
<td align=right bgcolor="#ffe6ab">0.003978</td>
<td align=right bgcolor="#ffe6cd">0.021554</td>
</tr>


<th align=left width=100>int_4s</th>
<td align=right bgcolor="#ffe6ef">0.001055</td>
<td align=right bgcolor="#ffe6ab">0.001051</td>
<td align=right bgcolor="#ffe6cd">0.001040</td>
<td align=right bgcolor="#ffe669">0.001161</td>
<td align=right bgcolor="#ffe6ef">0.016991</td>
<td align=right bgcolor="#ffe6ab">0.018775</td>
<td align=right bgcolor="#ffe6cd">0.040450</td>
</tr>


<th align=left width=100>int_4u</th>
<td align=right bgcolor="#ffe6ef">0.001055</td>
<td align=right bgcolor="#ffe6ab">0.001052</td>
<td align=right bgcolor="#ffe6cd">0.001044</td>
<td align=right bgcolor="#ffe669">0.001157</td>
<td align=right bgcolor="#ffe6ef">0.017664</td>
<td align=right bgcolor="#ffe6ab">0.019193</td>
<td align=right bgcolor="#ffe6cd">0.041033</td>
</tr>


<th align=left width=100>int_8s</th>
<td align=right bgcolor="#ffe6ef">0.001053</td>
<td align=right bgcolor="#ffe6ab">0.001050</td>
<td align=right bgcolor="#ffe6cd">0.001049</td>
<td align=right bgcolor="#ffe669">0.001193</td>
<td align=right bgcolor="#ffe6ef">0.018665</td>
<td align=right bgcolor="#ffe6ab">0.018731</td>
<td align=right bgcolor="#ffe6cd">0.089180</td>
</tr>


<th align=left width=100>int_8u</th>
<td align=right bgcolor="#ffe6ef">0.001053</td>
<td align=right bgcolor="#ffe6ab">0.001053</td>
<td align=right bgcolor="#ffe6cd">0.001059</td>
<td align=right bgcolor="#ffe669">0.001129</td>
<td align=right bgcolor="#ffe6ef">0.018655</td>
<td align=right bgcolor="#ffe6ab">0.018562</td>
<td align=right bgcolor="#ffe6cd">0.090049</td>
</tr>


<th align=left width=100>real_4</th>
<td align=right bgcolor="#ffe6ef">0.001057</td>
<td align=right bgcolor="#ffe6ab">0.001048</td>
<td align=right bgcolor="#ffe6cd">0.001044</td>
<td align=right bgcolor="#ffe669">0.001132</td>
<td align=right bgcolor="#ffe6ef">0.017158</td>
<td align=right bgcolor="#ffe6ab">0.019163</td>
<td align=right bgcolor="#ffe6cd">0.041458</td>
</tr>


<th align=left width=100>real_8</th>
<td align=right bgcolor="#ffe6ef">0.001055</td>
<td align=right bgcolor="#ffe6ab">0.001053</td>
<td align=right bgcolor="#ffe6cd">0.001056</td>
<td align=right bgcolor="#ffe669">0.001208</td>
<td align=right bgcolor="#ffe6ef">0.018271</td>
<td align=right bgcolor="#ffe6ab">0.018463</td>
<td align=right bgcolor="#ffe6cd">0.089271</td>
</tr>


<th align=left width=100>lstring2</th>
<td align=right bgcolor="#ffe6ef">0.000628</td>
<td align=right bgcolor="#ffe6ab">0.000636</td>
<td align=right bgcolor="#ffe6cd">0.000691</td>
<td align=right bgcolor="#ffe669">0.001336</td>
<td align=right bgcolor="#ffe6ef">0.008171</td>
<td align=right bgcolor="#ffe6ab">0.156789</td>
<td align=right bgcolor="#ffe6cd">1.953950</td>
</tr>


<th align=left width=100>lstring4</th>
<td align=right bgcolor="#ffe6ef">0.000622</td>
<td align=right bgcolor="#ffe6ab">0.000635</td>
<td align=right bgcolor="#ffe6cd">0.000710</td>
<td align=right bgcolor="#ffe669">0.001372</td>
<td align=right bgcolor="#ffe6ef">0.007744</td>
<td align=right bgcolor="#ffe6ab">0.174173</td>
<td align=right bgcolor="#ffe6cd">2.043370</td>
</tr>


<th align=left width=100>lstring8</th>
<td align=right bgcolor="#ffe6ef">0.000624</td>
<td align=right bgcolor="#ffe6ab">0.000638</td>
<td align=right bgcolor="#ffe6cd">0.000720</td>
<td align=right bgcolor="#ffe669">0.001528</td>
<td align=right bgcolor="#ffe6ef">0.008358</td>
<td align=right bgcolor="#ffe6ab">0.199866</td>
<td align=right bgcolor="#ffe6cd">2.183180</td>
</tr>


<th align=left width=100>lstring16</th>
<td align=right bgcolor="#ffe6ef">0.000627</td>
<td align=right bgcolor="#ffe6ab">0.000640</td>
<td align=right bgcolor="#ffe6cd">0.000733</td>
<td align=right bgcolor="#ffe669">0.001664</td>
<td align=right bgcolor="#ffe6ef">0.019040</td>
<td align=right bgcolor="#ffe6ab">0.245938</td>
<td align=right bgcolor="#ffe6cd">2.687350</td>
</tr>


</table></font>
</p>
<p>
<table border type=1>
<caption align=center><b>Wall Time standard deviation in seconds (sample size=100)</b></caption>
<font size=-1>
<tr>
 <th align=left width=100>Type\dims</th>
 <th width=100 align=right>1</th>
 <th width=100 align=right>10</th>
 <th width=100 align=right>100</th>
 <th width=100 align=right>1000</th>
 <th width=100 align=right>10000</th>
 <th width=100 align=right>100000</th>
 <th width=100 align=right>1000000</th>
 </tr>
<th align=left width=100>char_s</th>
<td align=right bgcolor="#ffe6ef">0.000075</td>
<td align=right bgcolor="#ffe6ab">0.000021</td>
<td align=right bgcolor="#ffe6cd">0.000020</td>
<td align=right bgcolor="#ffe669">0.000025</td>
<td align=right bgcolor="#ffe6ef">0.000028</td>
<td align=right bgcolor="#ffe6ab">0.022284</td>
<td align=right bgcolor="#ffe6cd">0.004130</td>
</tr>


<th align=left width=100>char_u</th>
<td align=right bgcolor="#ffe6ef">0.000043</td>
<td align=right bgcolor="#ffe6ab">0.000021</td>
<td align=right bgcolor="#ffe6cd">0.000015</td>
<td align=right bgcolor="#ffe669">0.000031</td>
<td align=right bgcolor="#ffe6ef">0.000026</td>
<td align=right bgcolor="#ffe6ab">0.006316</td>
<td align=right bgcolor="#ffe6cd">0.005683</td>
</tr>


<th align=left width=100>int_2s</th>
<td align=right bgcolor="#ffe6ef">0.000024</td>
<td align=right bgcolor="#ffe6ab">0.000013</td>
<td align=right bgcolor="#ffe6cd">0.000024</td>
<td align=right bgcolor="#ffe669">0.000039</td>
<td align=right bgcolor="#ffe6ef">0.000021</td>
<td align=right bgcolor="#ffe6ab">0.000478</td>
<td align=right bgcolor="#ffe6cd">0.005957</td>
</tr>


<th align=left width=100>int_2u</th>
<td align=right bgcolor="#ffe6ef">0.000039</td>
<td align=right bgcolor="#ffe6ab">0.000024</td>
<td align=right bgcolor="#ffe6cd">0.000020</td>
<td align=right bgcolor="#ffe669">0.000020</td>
<td align=right bgcolor="#ffe6ef">0.000043</td>
<td align=right bgcolor="#ffe6ab">0.000322</td>
<td align=right bgcolor="#ffe6cd">0.003258</td>
</tr>


<th align=left width=100>int_4s</th>
<td align=right bgcolor="#ffe6ef">0.000018</td>
<td align=right bgcolor="#ffe6ab">0.000014</td>
<td align=right bgcolor="#ffe6cd">0.000023</td>
<td align=right bgcolor="#ffe669">0.000009</td>
<td align=right bgcolor="#ffe6ef">0.002275</td>
<td align=right bgcolor="#ffe6ab">0.001349</td>
<td align=right bgcolor="#ffe6cd">0.003444</td>
</tr>


<th align=left width=100>int_4u</th>
<td align=right bgcolor="#ffe6ef">0.000024</td>
<td align=right bgcolor="#ffe6ab">0.000018</td>
<td align=right bgcolor="#ffe6cd">0.000023</td>
<td align=right bgcolor="#ffe669">0.000019</td>
<td align=right bgcolor="#ffe6ef">0.001767</td>
<td align=right bgcolor="#ffe6ab">0.004181</td>
<td align=right bgcolor="#ffe6cd">0.003494</td>
</tr>


<th align=left width=100>int_8s</th>
<td align=right bgcolor="#ffe6ef">0.000015</td>
<td align=right bgcolor="#ffe6ab">0.000019</td>
<td align=right bgcolor="#ffe6cd">0.000021</td>
<td align=right bgcolor="#ffe669">0.000029</td>
<td align=right bgcolor="#ffe6ef">0.001711</td>
<td align=right bgcolor="#ffe6ab">0.001349</td>
<td align=right bgcolor="#ffe6cd">0.002099</td>
</tr>


<th align=left width=100>int_8u</th>
<td align=right bgcolor="#ffe6ef">0.000019</td>
<td align=right bgcolor="#ffe6ab">0.000018</td>
<td align=right bgcolor="#ffe6cd">0.000021</td>
<td align=right bgcolor="#ffe669">0.000008</td>
<td align=right bgcolor="#ffe6ef">0.001709</td>
<td align=right bgcolor="#ffe6ab">0.001481</td>
<td align=right bgcolor="#ffe6cd">0.005217</td>
</tr>


<th align=left width=100>real_4</th>
<td align=right bgcolor="#ffe6ef">0.000017</td>
<td align=right bgcolor="#ffe6ab">0.000013</td>
<td align=right bgcolor="#ffe6cd">0.000022</td>
<td align=right bgcolor="#ffe669">0.000034</td>
<td align=right bgcolor="#ffe6ef">0.001851</td>
<td align=right bgcolor="#ffe6ab">0.004064</td>
<td align=right bgcolor="#ffe6cd">0.003856</td>
</tr>


<th align=left width=100>real_8</th>
<td align=right bgcolor="#ffe6ef">0.000017</td>
<td align=right bgcolor="#ffe6ab">0.000021</td>
<td align=right bgcolor="#ffe6cd">0.000021</td>
<td align=right bgcolor="#ffe669">0.000014</td>
<td align=right bgcolor="#ffe6ef">0.001979</td>
<td align=right bgcolor="#ffe6ab">0.002296</td>
<td align=right bgcolor="#ffe6cd">0.003549</td>
</tr>


<th align=left width=100>lstring2</th>
<td align=right bgcolor="#ffe6ef">0.000019</td>
<td align=right bgcolor="#ffe6ab">0.000015</td>
<td align=right bgcolor="#ffe6cd">0.000030</td>
<td align=right bgcolor="#ffe669">0.000038</td>
<td align=right bgcolor="#ffe6ef">0.001123</td>
<td align=right bgcolor="#ffe6ab">0.008170</td>
<td align=right bgcolor="#ffe6cd">0.040307</td>
</tr>


<th align=left width=100>lstring4</th>
<td align=right bgcolor="#ffe6ef">0.000017</td>
<td align=right bgcolor="#ffe6ab">0.000019</td>
<td align=right bgcolor="#ffe6cd">0.000032</td>
<td align=right bgcolor="#ffe669">0.000043</td>
<td align=right bgcolor="#ffe6ef">0.000332</td>
<td align=right bgcolor="#ffe6ab">0.016224</td>
<td align=right bgcolor="#ffe6cd">0.033055</td>
</tr>


<th align=left width=100>lstring8</th>
<td align=right bgcolor="#ffe6ef">0.000016</td>
<td align=right bgcolor="#ffe6ab">0.000024</td>
<td align=right bgcolor="#ffe6cd">0.000029</td>
<td align=right bgcolor="#ffe669">0.000082</td>
<td align=right bgcolor="#ffe6ef">0.000262</td>
<td align=right bgcolor="#ffe6ab">0.019791</td>
<td align=right bgcolor="#ffe6cd">0.053236</td>
</tr>


<th align=left width=100>lstring16</th>
<td align=right bgcolor="#ffe6ef">0.000021</td>
<td align=right bgcolor="#ffe6ab">0.000023</td>
<td align=right bgcolor="#ffe6cd">0.000029</td>
<td align=right bgcolor="#ffe669">0.000129</td>
<td align=right bgcolor="#ffe6ef">0.003411</td>
<td align=right bgcolor="#ffe6ab">0.029674</td>
<td align=right bgcolor="#ffe6cd">0.089418</td>
</tr>


</table></font>
</p>
<p>
<table border type=1>
<caption align=center><b>Wall Time Coefficient of Variation in seconds (sample size=100)</b></caption>
<font size=-1>
<tr>
 <th align=left width=100>Type\dims</th>
 <th width=100 align=right>1</th>
 <th width=100 align=right>10</th>
 <th width=100 align=right>100</th>
 <th width=100 align=right>1000</th>
 <th width=100 align=right>10000</th>
 <th width=100 align=right>100000</th>
 <th width=100 align=right>1000000</th>
 </tr>
<th align=left width=100>char_s</th>
<td align=right bgcolor="#ffe6ef">6.980000</td>
<td align=right bgcolor="#ffe6ab">1.940000</td>
<td align=right bgcolor="#ffe6cd">1.850000</td>
<td align=right bgcolor="#ffe669">2.390000</td>
<td align=right bgcolor="#ffe6ef">2.210000</td>
<td align=right bgcolor="#ffe6ab">282.010000</td>
<td align=right bgcolor="#ffe6cd">32.630000</td>
</tr>


<th align=left width=100>char_u</th>
<td align=right bgcolor="#ffe6ef">3.970000</td>
<td align=right bgcolor="#ffe6ab">1.920000</td>
<td align=right bgcolor="#ffe6cd">1.390000</td>
<td align=right bgcolor="#ffe669">2.970000</td>
<td align=right bgcolor="#ffe6ef">2.060000</td>
<td align=right bgcolor="#ffe6ab">41.660000</td>
<td align=right bgcolor="#ffe6cd">40.820000</td>
</tr>


<th align=left width=100>int_2s</th>
<td align=right bgcolor="#ffe6ef">2.240000</td>
<td align=right bgcolor="#ffe6ab">1.240000</td>
<td align=right bgcolor="#ffe6cd">2.300000</td>
<td align=right bgcolor="#ffe669">3.730000</td>
<td align=right bgcolor="#ffe6ef">1.690000</td>
<td align=right bgcolor="#ffe6ab">11.330000</td>
<td align=right bgcolor="#ffe6cd">25.860000</td>
</tr>


<th align=left width=100>int_2u</th>
<td align=right bgcolor="#ffe6ef">3.620000</td>
<td align=right bgcolor="#ffe6ab">2.260000</td>
<td align=right bgcolor="#ffe6cd">1.950000</td>
<td align=right bgcolor="#ffe669">1.910000</td>
<td align=right bgcolor="#ffe6ef">3.410000</td>
<td align=right bgcolor="#ffe6ab">8.090000</td>
<td align=right bgcolor="#ffe6cd">15.120000</td>
</tr>


<th align=left width=100>int_4s</th>
<td align=right bgcolor="#ffe6ef">1.720000</td>
<td align=right bgcolor="#ffe6ab">1.350000</td>
<td align=right bgcolor="#ffe6cd">2.210000</td>
<td align=right bgcolor="#ffe669">0.750000</td>
<td align=right bgcolor="#ffe6ef">13.390000</td>
<td align=right bgcolor="#ffe6ab">7.190000</td>
<td align=right bgcolor="#ffe6cd">8.510000</td>
</tr>


<th align=left width=100>int_4u</th>
<td align=right bgcolor="#ffe6ef">2.270000</td>
<td align=right bgcolor="#ffe6ab">1.680000</td>
<td align=right bgcolor="#ffe6cd">2.200000</td>
<td align=right bgcolor="#ffe669">1.650000</td>
<td align=right bgcolor="#ffe6ef">10.000000</td>
<td align=right bgcolor="#ffe6ab">21.780000</td>
<td align=right bgcolor="#ffe6cd">8.520000</td>
</tr>


<th align=left width=100>int_8s</th>
<td align=right bgcolor="#ffe6ef">1.390000</td>
<td align=right bgcolor="#ffe6ab">1.790000</td>
<td align=right bgcolor="#ffe6cd">1.960000</td>
<td align=right bgcolor="#ffe669">2.470000</td>
<td align=right bgcolor="#ffe6ef">9.170000</td>
<td align=right bgcolor="#ffe6ab">7.200000</td>
<td align=right bgcolor="#ffe6cd">2.350000</td>
</tr>


<th align=left width=100>int_8u</th>
<td align=right bgcolor="#ffe6ef">1.830000</td>
<td align=right bgcolor="#ffe6ab">1.710000</td>
<td align=right bgcolor="#ffe6cd">1.990000</td>
<td align=right bgcolor="#ffe669">0.730000</td>
<td align=right bgcolor="#ffe6ef">9.160000</td>
<td align=right bgcolor="#ffe6ab">7.980000</td>
<td align=right bgcolor="#ffe6cd">5.790000</td>
</tr>


<th align=left width=100>real_4</th>
<td align=right bgcolor="#ffe6ef">1.590000</td>
<td align=right bgcolor="#ffe6ab">1.270000</td>
<td align=right bgcolor="#ffe6cd">2.110000</td>
<td align=right bgcolor="#ffe669">3.040000</td>
<td align=right bgcolor="#ffe6ef">10.790000</td>
<td align=right bgcolor="#ffe6ab">21.210000</td>
<td align=right bgcolor="#ffe6cd">9.300000</td>
</tr>


<th align=left width=100>real_8</th>
<td align=right bgcolor="#ffe6ef">1.600000</td>
<td align=right bgcolor="#ffe6ab">2.030000</td>
<td align=right bgcolor="#ffe6cd">1.990000</td>
<td align=right bgcolor="#ffe669">1.130000</td>
<td align=right bgcolor="#ffe6ef">10.830000</td>
<td align=right bgcolor="#ffe6ab">12.440000</td>
<td align=right bgcolor="#ffe6cd">3.980000</td>
</tr>


<th align=left width=100>lstring2</th>
<td align=right bgcolor="#ffe6ef">3.090000</td>
<td align=right bgcolor="#ffe6ab">2.380000</td>
<td align=right bgcolor="#ffe6cd">4.340000</td>
<td align=right bgcolor="#ffe669">2.870000</td>
<td align=right bgcolor="#ffe6ef">13.750000</td>
<td align=right bgcolor="#ffe6ab">5.210000</td>
<td align=right bgcolor="#ffe6cd">2.060000</td>
</tr>


<th align=left width=100>lstring4</th>
<td align=right bgcolor="#ffe6ef">2.740000</td>
<td align=right bgcolor="#ffe6ab">2.940000</td>
<td align=right bgcolor="#ffe6cd">4.500000</td>
<td align=right bgcolor="#ffe669">3.150000</td>
<td align=right bgcolor="#ffe6ef">4.280000</td>
<td align=right bgcolor="#ffe6ab">9.320000</td>
<td align=right bgcolor="#ffe6cd">1.620000</td>
</tr>


<th align=left width=100>lstring8</th>
<td align=right bgcolor="#ffe6ef">2.610000</td>
<td align=right bgcolor="#ffe6ab">3.740000</td>
<td align=right bgcolor="#ffe6cd">4.090000</td>
<td align=right bgcolor="#ffe669">5.380000</td>
<td align=right bgcolor="#ffe6ef">3.130000</td>
<td align=right bgcolor="#ffe6ab">9.900000</td>
<td align=right bgcolor="#ffe6cd">2.440000</td>
</tr>


<th align=left width=100>lstring16</th>
<td align=right bgcolor="#ffe6ef">3.290000</td>
<td align=right bgcolor="#ffe6ab">3.640000</td>
<td align=right bgcolor="#ffe6cd">3.960000</td>
<td align=right bgcolor="#ffe669">7.720000</td>
<td align=right bgcolor="#ffe6ef">17.920000</td>
<td align=right bgcolor="#ffe6ab">12.070000</td>
<td align=right bgcolor="#ffe6cd">3.330000</td>
</tr>


</table></font>
</p>
<p>
<table border type=1>
<caption align=center><b>Mean CPU Time in seconds (sample size=100)</b></caption>
<font size=-1>
<tr>
 <th align=left width=100>Type\dims</th>
 <th width=100 align=right>1</th>
 <th width=100 align=right>10</th>
 <th width=100 align=right>100</th>
 <th width=100 align=right>1000</th>
 <th width=100 align=right>10000</th>
 <th width=100 align=right>100000</th>
 <th width=100 align=right>1000000</th>
 </tr>
<th align=left width=100>char_s</th>
<td align=right bgcolor="#ffe6ef">0.000000</td>
<td align=right bgcolor="#ffe6ab">0.000000</td>
<td align=right bgcolor="#ffe6cd">0.000000</td>
<td align=right bgcolor="#ffe669">0.000100</td>
<td align=right bgcolor="#ffe6ef">0.000000</td>
<td align=right bgcolor="#ffe6ab">0.000000</td>
<td align=right bgcolor="#ffe6cd">0.009700</td>
</tr>


<th align=left width=100>char_u</th>
<td align=right bgcolor="#ffe6ef">0.000000</td>
<td align=right bgcolor="#ffe6ab">0.000000</td>
<td align=right bgcolor="#ffe6cd">0.000000</td>
<td align=right bgcolor="#ffe669">0.000100</td>
<td align=right bgcolor="#ffe6ef">0.000000</td>
<td align=right bgcolor="#ffe6ab">0.000100</td>
<td align=right bgcolor="#ffe6cd">0.009600</td>
</tr>


<th align=left width=100>int_2s</th>
<td align=right bgcolor="#ffe6ef">0.000000</td>
<td align=right bgcolor="#ffe6ab">0.000100</td>
<td align=right bgcolor="#ffe6cd">0.000000</td>
<td align=right bgcolor="#ffe669">0.000100</td>
<td align=right bgcolor="#ffe6ef">0.000000</td>
<td align=right bgcolor="#ffe6ab">0.000100</td>
<td align=right bgcolor="#ffe6cd">0.019300</td>
</tr>


<th align=left width=100>int_2u</th>
<td align=right bgcolor="#ffe6ef">0.000000</td>
<td align=right bgcolor="#ffe6ab">0.000000</td>
<td align=right bgcolor="#ffe6cd">0.000000</td>
<td align=right bgcolor="#ffe669">0.000000</td>
<td align=right bgcolor="#ffe6ef">0.000000</td>
<td align=right bgcolor="#ffe6ab">0.000000</td>
<td align=right bgcolor="#ffe6cd">0.019700</td>
</tr>


<th align=left width=100>int_4s</th>
<td align=right bgcolor="#ffe6ef">0.000000</td>
<td align=right bgcolor="#ffe6ab">0.000000</td>
<td align=right bgcolor="#ffe6cd">0.000000</td>
<td align=right bgcolor="#ffe669">0.000100</td>
<td align=right bgcolor="#ffe6ef">0.000000</td>
<td align=right bgcolor="#ffe6ab">0.000200</td>
<td align=right bgcolor="#ffe6cd">0.037900</td>
</tr>


<th align=left width=100>int_4u</th>
<td align=right bgcolor="#ffe6ef">0.000000</td>
<td align=right bgcolor="#ffe6ab">0.000000</td>
<td align=right bgcolor="#ffe6cd">0.000000</td>
<td align=right bgcolor="#ffe669">0.000000</td>
<td align=right bgcolor="#ffe6ef">0.000100</td>
<td align=right bgcolor="#ffe6ab">0.000200</td>
<td align=right bgcolor="#ffe6cd">0.038300</td>
</tr>


<th align=left width=100>int_8s</th>
<td align=right bgcolor="#ffe6ef">0.000000</td>
<td align=right bgcolor="#ffe6ab">0.000000</td>
<td align=right bgcolor="#ffe6cd">0.000000</td>
<td align=right bgcolor="#ffe669">0.000000</td>
<td align=right bgcolor="#ffe6ef">0.000000</td>
<td align=right bgcolor="#ffe6ab">0.001200</td>
<td align=right bgcolor="#ffe6cd">0.072600</td>
</tr>


<th align=left width=100>int_8u</th>
<td align=right bgcolor="#ffe6ef">0.000000</td>
<td align=right bgcolor="#ffe6ab">0.000000</td>
<td align=right bgcolor="#ffe6cd">0.000000</td>
<td align=right bgcolor="#ffe669">0.000000</td>
<td align=right bgcolor="#ffe6ef">0.000100</td>
<td align=right bgcolor="#ffe6ab">0.000400</td>
<td align=right bgcolor="#ffe6cd">0.072900</td>
</tr>


<th align=left width=100>real_4</th>
<td align=right bgcolor="#ffe6ef">0.000000</td>
<td align=right bgcolor="#ffe6ab">0.000000</td>
<td align=right bgcolor="#ffe6cd">0.000000</td>
<td align=right bgcolor="#ffe669">0.000000</td>
<td align=right bgcolor="#ffe6ef">0.000100</td>
<td align=right bgcolor="#ffe6ab">0.000200</td>
<td align=right bgcolor="#ffe6cd">0.037600</td>
</tr>


<th align=left width=100>real_8</th>
<td align=right bgcolor="#ffe6ef">0.000000</td>
<td align=right bgcolor="#ffe6ab">0.000000</td>
<td align=right bgcolor="#ffe6cd">0.000000</td>
<td align=right bgcolor="#ffe669">0.000000</td>
<td align=right bgcolor="#ffe6ef">0.000000</td>
<td align=right bgcolor="#ffe6ab">0.000200</td>
<td align=right bgcolor="#ffe6cd">0.072500</td>
</tr>


<th align=left width=100>lstring2</th>
<td align=right bgcolor="#ffe6ef">0.000000</td>
<td align=right bgcolor="#ffe6ab">0.000000</td>
<td align=right bgcolor="#ffe6cd">0.000000</td>
<td align=right bgcolor="#ffe669">0.000300</td>
<td align=right bgcolor="#ffe6ef">0.009900</td>
<td align=right bgcolor="#ffe6ab">0.083200</td>
<td align=right bgcolor="#ffe6cd">0.856200</td>
</tr>


<th align=left width=100>lstring4</th>
<td align=right bgcolor="#ffe6ef">0.000000</td>
<td align=right bgcolor="#ffe6ab">0.000100</td>
<td align=right bgcolor="#ffe6cd">0.000000</td>
<td align=right bgcolor="#ffe669">0.000000</td>
<td align=right bgcolor="#ffe6ef">0.010000</td>
<td align=right bgcolor="#ffe6ab">0.089500</td>
<td align=right bgcolor="#ffe6cd">0.938000</td>
</tr>


<th align=left width=100>lstring8</th>
<td align=right bgcolor="#ffe6ef">0.000000</td>
<td align=right bgcolor="#ffe6ab">0.000000</td>
<td align=right bgcolor="#ffe6cd">0.000000</td>
<td align=right bgcolor="#ffe669">0.000000</td>
<td align=right bgcolor="#ffe6ef">0.009900</td>
<td align=right bgcolor="#ffe6ab">0.096400</td>
<td align=right bgcolor="#ffe6cd">0.949800</td>
</tr>


<th align=left width=100>lstring16</th>
<td align=right bgcolor="#ffe6ef">0.000000</td>
<td align=right bgcolor="#ffe6ab">0.000000</td>
<td align=right bgcolor="#ffe6cd">0.000000</td>
<td align=right bgcolor="#ffe669">0.000100</td>
<td align=right bgcolor="#ffe6ef">0.005900</td>
<td align=right bgcolor="#ffe6ab">0.123400</td>
<td align=right bgcolor="#ffe6cd">1.169000</td>
</tr>


</table></font>
</p>
<p>
<table border type=1>
<caption align=center><b>CPU Time standard deviation in seconds (sample size=100)</b></caption>
<font size=-1>
<tr>
 <th align=left width=100>Type\dims</th>
 <th width=100 align=right>1</th>
 <th width=100 align=right>10</th>
 <th width=100 align=right>100</th>
 <th width=100 align=right>1000</th>
 <th width=100 align=right>10000</th>
 <th width=100 align=right>100000</th>
 <th width=100 align=right>1000000</th>
 </tr>
<th align=left width=100>char_s</th>
<td align=right bgcolor="#ffe6ef">0.000000</td>
<td align=right bgcolor="#ffe6ab">0.000000</td>
<td align=right bgcolor="#ffe6cd">0.000000</td>
<td align=right bgcolor="#ffe669">0.001000</td>
<td align=right bgcolor="#ffe6ef">0.000000</td>
<td align=right bgcolor="#ffe6ab">0.000000</td>
<td align=right bgcolor="#ffe6cd">0.001714</td>
</tr>


<th align=left width=100>char_u</th>
<td align=right bgcolor="#ffe6ef">0.000000</td>
<td align=right bgcolor="#ffe6ab">0.000000</td>
<td align=right bgcolor="#ffe6cd">0.000000</td>
<td align=right bgcolor="#ffe669">0.001000</td>
<td align=right bgcolor="#ffe6ef">0.000000</td>
<td align=right bgcolor="#ffe6ab">0.001000</td>
<td align=right bgcolor="#ffe6cd">0.002429</td>
</tr>


<th align=left width=100>int_2s</th>
<td align=right bgcolor="#ffe6ef">0.000000</td>
<td align=right bgcolor="#ffe6ab">0.001000</td>
<td align=right bgcolor="#ffe6cd">0.000000</td>
<td align=right bgcolor="#ffe669">0.001000</td>
<td align=right bgcolor="#ffe6ef">0.000000</td>
<td align=right bgcolor="#ffe6ab">0.001000</td>
<td align=right bgcolor="#ffe6cd">0.003258</td>
</tr>


<th align=left width=100>int_2u</th>
<td align=right bgcolor="#ffe6ef">0.000000</td>
<td align=right bgcolor="#ffe6ab">0.000000</td>
<td align=right bgcolor="#ffe6cd">0.000000</td>
<td align=right bgcolor="#ffe669">0.000000</td>
<td align=right bgcolor="#ffe6ef">0.000000</td>
<td align=right bgcolor="#ffe6ab">0.000000</td>
<td align=right bgcolor="#ffe6cd">0.002227</td>
</tr>


<th align=left width=100>int_4s</th>
<td align=right bgcolor="#ffe6ef">0.000000</td>
<td align=right bgcolor="#ffe6ab">0.000000</td>
<td align=right bgcolor="#ffe6cd">0.000000</td>
<td align=right bgcolor="#ffe669">0.001000</td>
<td align=right bgcolor="#ffe6ef">0.000000</td>
<td align=right bgcolor="#ffe6ab">0.001407</td>
<td align=right bgcolor="#ffe6cd">0.005911</td>
</tr>


<th align=left width=100>int_4u</th>
<td align=right bgcolor="#ffe6ef">0.000000</td>
<td align=right bgcolor="#ffe6ab">0.000000</td>
<td align=right bgcolor="#ffe6cd">0.000000</td>
<td align=right bgcolor="#ffe669">0.000000</td>
<td align=right bgcolor="#ffe6ef">0.001000</td>
<td align=right bgcolor="#ffe6ab">0.001407</td>
<td align=right bgcolor="#ffe6cd">0.006204</td>
</tr>


<th align=left width=100>int_8s</th>
<td align=right bgcolor="#ffe6ef">0.000000</td>
<td align=right bgcolor="#ffe6ab">0.000000</td>
<td align=right bgcolor="#ffe6cd">0.000000</td>
<td align=right bgcolor="#ffe669">0.000000</td>
<td align=right bgcolor="#ffe6ef">0.000000</td>
<td align=right bgcolor="#ffe6ab">0.003562</td>
<td align=right bgcolor="#ffe6cd">0.004845</td>
</tr>


<th align=left width=100>int_8u</th>
<td align=right bgcolor="#ffe6ef">0.000000</td>
<td align=right bgcolor="#ffe6ab">0.000000</td>
<td align=right bgcolor="#ffe6cd">0.000000</td>
<td align=right bgcolor="#ffe669">0.000000</td>
<td align=right bgcolor="#ffe6ef">0.001000</td>
<td align=right bgcolor="#ffe6ab">0.001969</td>
<td align=right bgcolor="#ffe6cd">0.007426</td>
</tr>


<th align=left width=100>real_4</th>
<td align=right bgcolor="#ffe6ef">0.000000</td>
<td align=right bgcolor="#ffe6ab">0.000000</td>
<td align=right bgcolor="#ffe6cd">0.000000</td>
<td align=right bgcolor="#ffe669">0.000000</td>
<td align=right bgcolor="#ffe6ef">0.001000</td>
<td align=right bgcolor="#ffe6ab">0.001407</td>
<td align=right bgcolor="#ffe6cd">0.006050</td>
</tr>


<th align=left width=100>real_8</th>
<td align=right bgcolor="#ffe6ef">0.000000</td>
<td align=right bgcolor="#ffe6ab">0.000000</td>
<td align=right bgcolor="#ffe6cd">0.000000</td>
<td align=right bgcolor="#ffe669">0.000000</td>
<td align=right bgcolor="#ffe6ef">0.000000</td>
<td align=right bgcolor="#ffe6ab">0.001407</td>
<td align=right bgcolor="#ffe6cd">0.007160</td>
</tr>


<th align=left width=100>lstring2</th>
<td align=right bgcolor="#ffe6ef">0.000000</td>
<td align=right bgcolor="#ffe6ab">0.000000</td>
<td align=right bgcolor="#ffe6cd">0.000000</td>
<td align=right bgcolor="#ffe669">0.001714</td>
<td align=right bgcolor="#ffe6ef">0.001000</td>
<td align=right bgcolor="#ffe6ab">0.007369</td>
<td align=right bgcolor="#ffe6cd">0.023561</td>
</tr>


<th align=left width=100>lstring4</th>
<td align=right bgcolor="#ffe6ef">0.000000</td>
<td align=right bgcolor="#ffe6ab">0.001000</td>
<td align=right bgcolor="#ffe6cd">0.000000</td>
<td align=right bgcolor="#ffe669">0.000000</td>
<td align=right bgcolor="#ffe6ef">0.000000</td>
<td align=right bgcolor="#ffe6ab">0.010188</td>
<td align=right bgcolor="#ffe6cd">0.049380</td>
</tr>


<th align=left width=100>lstring8</th>
<td align=right bgcolor="#ffe6ef">0.000000</td>
<td align=right bgcolor="#ffe6ab">0.000000</td>
<td align=right bgcolor="#ffe6cd">0.000000</td>
<td align=right bgcolor="#ffe669">0.000000</td>
<td align=right bgcolor="#ffe6ef">0.001000</td>
<td align=right bgcolor="#ffe6ab">0.012912</td>
<td align=right bgcolor="#ffe6cd">0.047140</td>
</tr>


<th align=left width=100>lstring16</th>
<td align=right bgcolor="#ffe6ef">0.000000</td>
<td align=right bgcolor="#ffe6ab">0.000000</td>
<td align=right bgcolor="#ffe6cd">0.000000</td>
<td align=right bgcolor="#ffe669">0.001000</td>
<td align=right bgcolor="#ffe6ef">0.007398</td>
<td align=right bgcolor="#ffe6ab">0.032543</td>
<td align=right bgcolor="#ffe6cd">0.107407</td>
</tr>


</table></font>
</p>
<p>
<table border type=1>
<caption align=center><b>CPU Time Coefficient of Variation in seconds (sample size=100)</b></caption>
<font size=-1>
<tr>
 <th align=left width=100>Type\dims</th>
 <th width=100 align=right>1</th>
 <th width=100 align=right>10</th>
 <th width=100 align=right>100</th>
 <th width=100 align=right>1000</th>
 <th width=100 align=right>10000</th>
 <th width=100 align=right>100000</th>
 <th width=100 align=right>1000000</th>
 </tr>
<th align=left width=100>char_s</th>
<td align=right bgcolor="#ffe6ef">0.000000</td>
<td align=right bgcolor="#ffe6ab">0.000000</td>
<td align=right bgcolor="#ffe6cd">0.000000</td>
<td align=right bgcolor="#ffe669">1000.000000</td>
<td align=right bgcolor="#ffe6ef">0.000000</td>
<td align=right bgcolor="#ffe6ab">0.000000</td>
<td align=right bgcolor="#ffe6cd">17.670000</td>
</tr>


<th align=left width=100>char_u</th>
<td align=right bgcolor="#ffe6ef">0.000000</td>
<td align=right bgcolor="#ffe6ab">0.000000</td>
<td align=right bgcolor="#ffe6cd">0.000000</td>
<td align=right bgcolor="#ffe669">1000.000000</td>
<td align=right bgcolor="#ffe6ef">0.000000</td>
<td align=right bgcolor="#ffe6ab">1000.000000</td>
<td align=right bgcolor="#ffe6cd">25.300000</td>
</tr>


<th align=left width=100>int_2s</th>
<td align=right bgcolor="#ffe6ef">0.000000</td>
<td align=right bgcolor="#ffe6ab">1000.000000</td>
<td align=right bgcolor="#ffe6cd">0.000000</td>
<td align=right bgcolor="#ffe669">1000.000000</td>
<td align=right bgcolor="#ffe6ef">0.000000</td>
<td align=right bgcolor="#ffe6ab">1000.000000</td>
<td align=right bgcolor="#ffe6cd">16.880000</td>
</tr>


<th align=left width=100>int_2u</th>
<td align=right bgcolor="#ffe6ef">0.000000</td>
<td align=right bgcolor="#ffe6ab">0.000000</td>
<td align=right bgcolor="#ffe6cd">0.000000</td>
<td align=right bgcolor="#ffe669">0.000000</td>
<td align=right bgcolor="#ffe6ef">0.000000</td>
<td align=right bgcolor="#ffe6ab">0.000000</td>
<td align=right bgcolor="#ffe6cd">11.300000</td>
</tr>


<th align=left width=100>int_4s</th>
<td align=right bgcolor="#ffe6ef">0.000000</td>
<td align=right bgcolor="#ffe6ab">0.000000</td>
<td align=right bgcolor="#ffe6cd">0.000000</td>
<td align=right bgcolor="#ffe669">1000.000000</td>
<td align=right bgcolor="#ffe6ef">0.000000</td>
<td align=right bgcolor="#ffe6ab">703.530000</td>
<td align=right bgcolor="#ffe6cd">15.600000</td>
</tr>


<th align=left width=100>int_4u</th>
<td align=right bgcolor="#ffe6ef">0.000000</td>
<td align=right bgcolor="#ffe6ab">0.000000</td>
<td align=right bgcolor="#ffe6cd">0.000000</td>
<td align=right bgcolor="#ffe669">0.000000</td>
<td align=right bgcolor="#ffe6ef">1000.000000</td>
<td align=right bgcolor="#ffe6ab">703.530000</td>
<td align=right bgcolor="#ffe6cd">16.200000</td>
</tr>


<th align=left width=100>int_8s</th>
<td align=right bgcolor="#ffe6ef">0.000000</td>
<td align=right bgcolor="#ffe6ab">0.000000</td>
<td align=right bgcolor="#ffe6cd">0.000000</td>
<td align=right bgcolor="#ffe669">0.000000</td>
<td align=right bgcolor="#ffe6ef">0.000000</td>
<td align=right bgcolor="#ffe6ab">296.820000</td>
<td align=right bgcolor="#ffe6cd">6.670000</td>
</tr>


<th align=left width=100>int_8u</th>
<td align=right bgcolor="#ffe6ef">0.000000</td>
<td align=right bgcolor="#ffe6ab">0.000000</td>
<td align=right bgcolor="#ffe6cd">0.000000</td>
<td align=right bgcolor="#ffe669">0.000000</td>
<td align=right bgcolor="#ffe6ef">1000.000000</td>
<td align=right bgcolor="#ffe6ab">492.370000</td>
<td align=right bgcolor="#ffe6cd">10.190000</td>
</tr>


<th align=left width=100>real_4</th>
<td align=right bgcolor="#ffe6ef">0.000000</td>
<td align=right bgcolor="#ffe6ab">0.000000</td>
<td align=right bgcolor="#ffe6cd">0.000000</td>
<td align=right bgcolor="#ffe669">0.000000</td>
<td align=right bgcolor="#ffe6ef">1000.000000</td>
<td align=right bgcolor="#ffe6ab">703.530000</td>
<td align=right bgcolor="#ffe6cd">16.090000</td>
</tr>


<th align=left width=100>real_8</th>
<td align=right bgcolor="#ffe6ef">0.000000</td>
<td align=right bgcolor="#ffe6ab">0.000000</td>
<td align=right bgcolor="#ffe6cd">0.000000</td>
<td align=right bgcolor="#ffe669">0.000000</td>
<td align=right bgcolor="#ffe6ef">0.000000</td>
<td align=right bgcolor="#ffe6ab">703.530000</td>
<td align=right bgcolor="#ffe6cd">9.880000</td>
</tr>


<th align=left width=100>lstring2</th>
<td align=right bgcolor="#ffe6ef">0.000000</td>
<td align=right bgcolor="#ffe6ab">0.000000</td>
<td align=right bgcolor="#ffe6cd">0.000000</td>
<td align=right bgcolor="#ffe669">571.490000</td>
<td align=right bgcolor="#ffe6ef">10.100000</td>
<td align=right bgcolor="#ffe6ab">8.860000</td>
<td align=right bgcolor="#ffe6cd">2.750000</td>
</tr>


<th align=left width=100>lstring4</th>
<td align=right bgcolor="#ffe6ef">0.000000</td>
<td align=right bgcolor="#ffe6ab">1000.000000</td>
<td align=right bgcolor="#ffe6cd">0.000000</td>
<td align=right bgcolor="#ffe669">0.000000</td>
<td align=right bgcolor="#ffe6ef">0.000000</td>
<td align=right bgcolor="#ffe6ab">11.380000</td>
<td align=right bgcolor="#ffe6cd">5.260000</td>
</tr>


<th align=left width=100>lstring8</th>
<td align=right bgcolor="#ffe6ef">0.000000</td>
<td align=right bgcolor="#ffe6ab">0.000000</td>
<td align=right bgcolor="#ffe6cd">0.000000</td>
<td align=right bgcolor="#ffe669">0.000000</td>
<td align=right bgcolor="#ffe6ef">10.100000</td>
<td align=right bgcolor="#ffe6ab">13.390000</td>
<td align=right bgcolor="#ffe6cd">4.960000</td>
</tr>


<th align=left width=100>lstring16</th>
<td align=right bgcolor="#ffe6ef">0.000000</td>
<td align=right bgcolor="#ffe6ab">0.000000</td>
<td align=right bgcolor="#ffe6cd">0.000000</td>
<td align=right bgcolor="#ffe669">1000.000000</td>
<td align=right bgcolor="#ffe6ef">125.400000</td>
<td align=right bgcolor="#ffe6ab">26.370000</td>
<td align=right bgcolor="#ffe6cd">9.190000</td>
</tr>


</table></font>
</p>
<p>Summary: 
 </font>
 </body>
 </html>
